Get OOB credentials for a dedicated server

GET/v1/hosts/dedicated_servers/{server_id}/oob_credentials

A GET request to the /v1/hosts/dedicated_servers/{server_id}/oob_credentials endpoint will provide you with the OOB credentials. This operation can be performed if you have added an RSA/RSA GPG key in the Customer Portal. Specify a necessary server in the path parameter and a GPG key fingerprint in the query parameter. Once you have received a secret in the response, you should decode the base64 encoding. Then, you can retrieve a password using the GPG decrypting algorithm. For more details, refer to the instruction in our knowledge base.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
server_id
string

A unique identifier of a server. To list server IDs, use the relevant request.

Query Parameters

FieldDetails
fingerprint?
string

A GPG fingerprint. You can see a list of fingerprints on the SSH & GPG keys page in the Customer Portal.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/hosts/dedicated_servers/MvbmMEbY/oob_credentials?fingerprint=376B7E36662609D1335FD5BA1EE765BE0ADBF8F6"
{  "login": "admin",  "secret": "STUBBED_ENCRYPTED_SECRET"}